Magnetoculus Visualisation de champs en VR avec Oculus

Public Member Functions | Static Public Attributes | List of all members
RepresentationNavigation Class Reference
Inheritance diagram for RepresentationNavigation:

## Public Member Functions
| RepresentationNavigation ()
void | AddRepresentationInformation (RepresentationInformation newRepresentationInformation)
void | RemoveRepresentationInformation (RepresentationInformation representationInformation)
void | NextRepresentation ()
void | PreviousRepresentation ()
void | UpdateInformation ()
void | DeleteRepresentation ()
void | ToggleRepresentation (bool enabled)

## Static Public Attributes
static List< RepresentationInformation > | m_RepresentationInformationList

## Detailed Description

This class is used to create a menu that allows to toggle / destroy any of the representation generated by the user. It should be attached to a UI panel.

## Constructor & Destructor Documentation

## ◆ RepresentationNavigation()

RepresentationNavigation.RepresentationNavigation | ( |  | ) |

## Member Function Documentation

## ◆ AddRepresentationInformation()

void RepresentationNavigation.AddRepresentationInformation | ( | RepresentationInformation | newRepresentationInformation | ) |

## ◆ DeleteRepresentation()

void RepresentationNavigation.DeleteRepresentation | ( |  | ) |

Delete the current RepresentationInformation and the representation gameobject it describes. Remove all the polygons that belong to that representation from the PolygonList.

## ◆ NextRepresentation()

void RepresentationNavigation.NextRepresentation | ( |  | ) |

## ◆ PreviousRepresentation()

void RepresentationNavigation.PreviousRepresentation | ( |  | ) |

## ◆ RemoveRepresentationInformation()

void RepresentationNavigation.RemoveRepresentationInformation | ( | RepresentationInformation | representationInformation | ) |

## ◆ ToggleRepresentation()

void RepresentationNavigation.ToggleRepresentation | ( | bool | enabled | ) |

Enable / disable the representation described by the current RepresentationInformation.

## ◆ UpdateInformation()

void RepresentationNavigation.UpdateInformation | ( |  | ) |

Update the text and the state of the toggle according to the m_CurrentRepresentationInformation state.

## Member Data Documentation

## ◆ m_RepresentationInformationList

List<RepresentationInformation> RepresentationNavigation.m_RepresentationInformationList
| static

The list of all the RepresentationInformation created by the user.

The documentation for this class was generated from the following file:

- Assets/Scripts/GUI/RepresentationNavigation.cs